<!DOCTYPE html>
<html layout:decorator="student/index" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:th="http://www.thymeleaf.org">
<body>
<main layout:fragment="main">

    <div class="container">

        <div class="card-title">
            <a class="right modal-trigger btn"
               href="#register-to-course-modal" th:if="${course.canEnroll}"
               th:text="#{enroll}"
            ></a>
            <h1 th:text="${course.name}"></h1>
        </div>

        <h4 th:text="${course.semester} + ', ' + ${course.ects + ' ECTS'}"></h4>

        <div class="row">
            <div class="col s12">
                <div class="card">
                    <div class="card-content">

                        <div class="vspace">
                            <span class="chip" th:each="tag : ${course.tags}" th:text="${tag}"></span>
                        </div>

                        <div th:if="${!course.description.isEmpty()}">
                            <div class="section-separator" th:text="#{student.course.details.description}"></div>

                            <p th:utext="${#strings.replace( #strings.escapeXml( course.description ),T(java.lang.System).getProperty('line.separator'),'&lt;br /&gt;')}"></p>

                        </div>

                        <div>
                            <div class="section-separator" th:text="#{student.course.details.lecturers}"></div>

                            <ul class="collection borderless">
                                <li class="collection-item"
                                    th:each="lecturer : ${course.lecturers}">
                                    <span class="title" th:text="${lecturer.name}"></span>
                                    <p>
                                        <a class="teal-text"
                                           th:href="'mailto:' + ${lecturer.email}"
                                           th:text="${lecturer.email}"></a>
                                    </p>
                                </li>
                            </ul>
                        </div>

                        <div>
                            <div class="section-separator" th:text="#{student.course.details.studyplans}"></div>

                            <ul class="collection borderless">
                                <li class="collection-item"
                                    th:each="studyplan : ${course.studyplans}">
                                    <div class="title">
                                        <a class="teal-text"
                                           th:href="@{/student/all-studyplans(id=__${studyplan.studyPlan.id}__)}"
                                           th:text="${studyplan.studyPlan.name}"></a>
                                    </div>
                                    <p class="grey-text">
                                        <span th:if="${studyplan.semesterRecommendation} == null"
                                              th:text="#{student.course.details.no_semester}">
                                        </span>
                                        <span th:if="${studyplan.semesterRecommendation} != null"
                                              th:text="'Semester ' + ${studyplan.semesterRecommendation}"></span>
                                    </p>
                                </li>
                            </ul>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="modal small" id="register-to-course-modal">
        <div class="modal-content">
            <h5 class="center-align" th:text="${course.name}"></h5>
            <h6 class="center-align" th:text="#{student.courses.enroll}"></h6>
        </div>
        <div class="modal-footer">
            <form method="POST" th:action="@{/student/anmelden/__${course.id}__}">

                <button
                        class="modal-action modal-close waves-effect btn"
                        th:text="#{enroll}"
                        type="submit"
                ></button>
            </form>

            <a
                    class="modal-action modal-close waves-effect btn-flat"
                    href="#"
                    th:text="#{cancel}"
            ></a>
        </div>
    </div>

</main>

</body>
</html>
